Bug 1139253 - [rsync] badly quotes the --delete option
Summary: [rsync] badly quotes the --delete option
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: backupninja
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-08 13:17 UTC by Sébastien Andreatta
Modified: 2014-09-25 00:21 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-19 09:59:50 UTC


Attachments (Terms of Use)

Description Sébastien Andreatta 2014-09-08 13:17:21 UTC
Description of problem:

Backupninja fails to run a rsync action, the output gives the following error:

    Info: >>>> starting action 10.test.rsync (because of --now)
    Debug: yes
    Debug: executing handler in locked section controlled by
    /var/lock/backupninja/10.test.rsync
    Info: Syncing /home on /tmp/test//home//...
    Debug: nice -n 0 /usr/bin/rsync -av --delete --recursive //home/
    /tmp/test//home//
    su: unrecognized option '--delete'


Version-Release number of selected component (if applicable):

$ rpm -qa | grep backupninja
backupninja-1.0.1-3.el7.noarch


How reproducible:

Everytime

Steps to Reproduce:
1. Install backupninja
2. Create Rsync configuration

echo "[general]
mountpoint = /backups/daily/files
backupdir = rsync
format = mirror
[source]
from = local
include = /tmp/test
[dest]
dest = local" > /etc/backup.d/10.rsync

3. Run backupninja
backupninja --run /etc/backup.d/10.rsync

Actual results:

su: unrecognized option '--delete'

Expected results:

No error

Additional info:

Patch already exist and diff available : https://git.sarava.org/?p=backupninja.git;a=commitdiff;h=b8b8b46fbaf9acbdc769d311a064ab89bb670ef7

Comment 1 Denis Fateyev 2014-09-09 13:47:34 UTC
Thanks for the patch. Updates will be pushed to the repo soon.

Comment 2 Fedora Update System 2014-09-09 13:49:50 UTC
backupninja-1.0.1-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-4.el7

Comment 3 Fedora Update System 2014-09-09 13:51:31 UTC
backupninja-1.0.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-4.el6

Comment 4 Fedora Update System 2014-09-09 13:52:39 UTC
backupninja-1.0.1-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-4.el5

Comment 5 Fedora Update System 2014-09-09 13:53:44 UTC
backupninja-1.0.1-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-4.fc21

Comment 6 Fedora Update System 2014-09-09 13:54:58 UTC
backupninja-1.0.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-4.fc20

Comment 7 Fedora Update System 2014-09-09 13:56:13 UTC
backupninja-1.0.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-4.fc19

Comment 8 Fedora Update System 2014-09-09 17:31:30 UTC
Package backupninja-1.0.1-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing backupninja-1.0.1-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2532/backupninja-1.0.1-4.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-09-19 09:59:50 UTC
backupninja-1.0.1-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-09-19 10:12:38 UTC
backupninja-1.0.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-09-23 04:34:13 UTC
backupninja-1.0.1-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-09-25 00:17:41 UTC
backupninja-1.0.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-09-25 00:20:51 UTC
backupninja-1.0.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-09-25 00:21:23 UTC
backupninja-1.0.1-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.